Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 619917 - [Emulex 5.6 feat] Update lpfc driver to version 8.2.0.80
[Emulex 5.6 feat] Update lpfc driver to version 8.2.0.80
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
high Severity high
: rc
: 5.6
Assigned To: Rob Evers
Red Hat Kernel QE team
: FutureFeature, OtherQA
Depends On:
Blocks: 557597
  Show dependency treegraph
 
Reported: 2010-07-30 17:00 EDT by Joseph Mann
Modified: 2011-01-13 16:47 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:47:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patchset to update Emulex LPFC driver to 8.2.0.80 (applies on top of 8.2.0.77) (15.09 KB, application/x-gzip)
2010-07-30 17:00 EDT, Joseph Mann
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Joseph Mann 2010-07-30 17:00:11 EDT
Created attachment 435642 [details]
Patchset to update Emulex LPFC driver to 8.2.0.80 (applies on top of 8.2.0.77)

Here is the Changelog for this set of patches:

r8388_r8387_CR103435.patch:
Fixed RoundRobin FCF failover due to mis-interpretation of kernel find_next_bit (CR: 103435)

r8398.patch:
Added target queuedepth module parameter

r8405.patch:
Fix for ELS commands stuck on txq. (CR: 103535)

r8410_r8408_CR104131.patch:
Clear Ignore Reg Login Flag when purging mailbox queue (CR: 104131)

r8418_r8416.patch:
Enhanced round-robin FCF failover algorithm to re-start on new FCF async event

r8464_r8463_CR104288.patch:
Fixed a race condition causing FLOGI issued from dual processes (CR: 104288)

r8480.patch:
Update lpfc version for 8.2.0.78 driver release

r8501_r8500_CR104503.patch:
Fixed VLAN ID 0xFFF set to reg_fcfi mailbox command on FCF empty FCF VLAN bitmap (CR: 104503)

r8507_r8506_CR104654.patch:
Fixed a driver discovery issue where driver was unable to discover a target after sheppard back link bounce test. (CR: 104654)

r8581_r8580_CR104912.patch:
Added code to support UPD bit of  REG_VPI mailbox command. (CR: 104912)

r8590_r8585_CR104706.patch:
Fix bug with cable swap and ndlp not becoming active. (CR: 104706)

r8599_r8597_CR104912.patch:
Added code to ignore the failure of REG_VPI mailbox with UPD bit set on older tigershark firmware. (CR: 104912)

r8613_r8611.patch:
Clear VFI_REGISTERED flag when UNREG_VFI completes

r8618_r8617_CR104974.patch:
Fixed failure to recover from back-to-back Clear Virtual Link with a single FCF (CR: 104974)

r8675_r8673.patch:
Fixed heartbeat timeout during fabric reconfiguration.

r8677.patch:
Update lpfc version for 8.2.0.79 driver release

r8683_r8682_CR105402.patch:
Fixed failure to roundrobin on all available FCFs when FLOGI to in-use FCF rejected by switch (CR: 105402)

r8697_r8696_CR105401.patch:
Fix bug with cable swap and nodelist not empty message on console after rmmod. (CR: 105401)

r8727_r8724.patch:
Change log message 0318 from an error to a warning as it is not an error.

r8728_r8725.patch:
Remove whitespace at end of line.

r8729_r8726.patch:
Remove unused variables that were removed from upstream submission

r8738.patch:
Add Security Crypto support to CONFIG_PORT mailbox command.

r8743.patch:
Update lpfc version for 8.2.0.80 driver release
Comment 3 Rob Evers 2010-10-05 10:51:52 EDT
r8728_r8725.patch was not applied.  Patch had a problem applying it so assume there was a problem with the patch file itself:

https://bugzilla.redhat.com/show_bug.cgi?id=619917
Subject: Remove whitespace at end of line.

--- a/drivers/scsi/lpfc/lpfc_sli.c
+++ b/drivers/scsi/lpfc/lpfc_sli.c
@@ -7246,7 +7246,7 @@ lpfc_sli_abort_els_cmpl(struct lpfc_hba 
                        spin_unlock_irq(&phba->hbalock);
 
                        abort_iocb->iocb.ulpStatus = IOSTAT_LOCAL_REJECT;
-                       abort_iocb->iocb.un.ulpWord[4] = IOERR_ABORT_REQUESTED; 
+                       abort_iocb->iocb.un.ulpWord[4] = IOERR_ABORT_REQUESTED;
                        (abort_iocb->iocb_cmpl)(phba, abort_iocb, abort_iocb);
                } else
                        spin_unlock_irq(&phba->hbalock);

This was a white-space fixup.
Comment 27 Jarod Wilson 2010-10-14 10:02:46 EDT
in kernel-2.6.18-227.el5
You can download this test kernel (or newer) from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 29 Chris Ward 2010-11-09 08:27:08 EST
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).
Comment 30 Chris Ward 2010-12-02 10:23:53 EST
Reminder! There should be a fix present for this BZ in snapshot 3 -- unless otherwise noted in a previous comment.

Please test and update this BZ with test results as soon as possible.
Comment 32 errata-xmlrpc 2011-01-13 16:47:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.